@import '~style/variables';

.form fieldset {
	border: none;
	padding: 0;
	margin: 0;
}

.form__legend {
	font-size: 32px;
	margin-bottom: 10px;
}

.form__row {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	margin-bottom: 10px;
}

.form__row:last-child {
	margin-bottom: 0;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	margin: 0; 
}

::placeholder{
	color: $primary-text;
	opacity: 1;
}
:-ms-input-placeholder {
	color: $primary-text;
}
::-ms-input-placeholder {
	color: $primary-text;
}

.input {
	outline: none;
	padding: 7px;
	border-radius: 4px;
	border: none;
	width: 100%;
	background-color: $lighter-text;
	color: $primary-text;
}

.input_invalid {
	color: #cc0000;
}

.select {
	-webkit-appearance: none;
	-moz-appearance: none;
	outline: none;
	border-radius: 4px;
	border: none;
	padding: 7px;
	width: 100%;
	background-color: $lighter-text;
	color: $primary-text;
}

.submit-button {
	padding: 5px 10px;
	border: none;
	border-radius: 4px;
	outline: none;
	text-transform: uppercase;
	background-color: $primary-text;
	color: $lighter-text;
	cursor: pointer;
}

.submit-button:hover {
	filter: brightness(1.2);
}

.submit-button:disabled,
.submit-button[disabled] {
	background-color: rgb(128,128,128);
	cursor: not-allowed;
}